Päivitämme NodeJS- ja Python-oletusversiot

Ingmar Aasoja
Jaa:


TL;DR;



Kesäkuussa päivittyvät palvelimilla jatkuvasti oletusversiot: 
Node.js LTS päivittyy versioon 20 ja Python versioon 3.11

Tässä kuussa alamme päivittää Zone-alustalla vaiheittain Node.js– ja Python-oletusversioita, minkä vuoksi pyydämme tällä kirjoituksella juuri sellaisten käyttäjien huomiota, jotka ovat sinut mainittujen ohjelmien kanssa.

Päivitämme NodeJS- ja Python-oletusversiot

Node.js LTS 20

Node.js-version muutos voi vaikuttaa käyttäjiin monella tavalla.

PM2:ssa toimivat verkkosovellukset

Suurin ja välittömin vaikutus kohdistuu Node.js-ajoympäristössä kirjoitettuihin verkkosovelluksiin, jotka toimivat jatkuvasti palvelimella. Version päivityksen jälkeen sovellus lakkaa toimimasta, jos se ei ole yhteensopiva uuden version kanssa. Huomaa, että kun palvelin päivitetään, kaikki sovellukset käynnistetään uudelleen. On tärkeää varmistaa, että sovellus toimii myös uudella versiolla tai käyttää NVM:n avulla edellistä versiota.

JS & CSS build -komentosarjat

Pienempi vaikutus on sellaisilla komentosarjoilla, joita käytetään verkkosivuston CSS:n ja JS:n kääntämiseen selaimelle ymmärrettävään muotoon. Jos WWW-palvelimella suoritetaan sellaisia komentoja kuin yarn build tai npm run build, nykyinen verkkosivu toimii edelleen, vaikka build-komentosarjat eivät olisikaan yhteensopivia uuden version kanssa. Ongelmia voi syntyä verkkosivuston koodia päivitettäessä, jos verkossa on päivitettävä JS- ja/tai CSS-tiedostoja.

Jos kääntäminen tapahtuu erillisellä palvelimella, joka ei sijaitse Zonessa, tämä muutos ei vaikuta sinuun.

Node.js-versioiden asetuksia voi tehdä NVM:n avulla

Vaikka Node.js:n version päivityksellä on yleensä vähäinen vaikutus sovellukseen, siihen kannattaa silti varautua. Kaikki riippuvuudet kannattaa päivittää mahdollisimman uuteen versioon käyttäen joko Yarn– tai npm-paketinhallintatyökalua. Lisäksi voidaan jo nyt ottaa käyttöön Node.js 20 käyttäen NVM-versionhallintatyökalua (lue tästä: Node Version Manager). NVM-työkalulla voidaan myös tehdä nykyiseen versioon sellaiset asetukset, että kun palvelimen perusversio päivitetään, käytetään NVM:llä asetettua edellistä versiota.

Jos epäillään, että verkkosovellus ei ehkä toimi uudemmalla versiolla, kannattaa nykyinen versio konfiguroida etukäteen NVM:n avulla. Voit nähdä tällä hetkellä käytössä olevan version WWW-palvelimen SSH-konsolissa suorittamalla komennon node -v.

Jos asennetaan NVM:llä jokin versio, esimerkiksi nvm install 18, niin kyseinen versio tulee merkitä PM2:n ekosysteemin tiedostossa interpreter-kenttään, esimerkiksi /dataXX/virtXXX/.nvm/versions/node/v18.20.3/bin/node, jossa /dataXX/virtXXX tulisi vaihtaa omaan SSH-käyttäjän kotihakemistoon.

Python 3.11

Python ei ole jaetussa verkkoisännöinnissä yleisin ohjelmisto. Jos sinulla on yksinkertainen verkkosovellus, voit jättää tämän luvun huomiotta. Jos sinulla on kuitenkin tietty sovellus, joka toimii Pythonilla, muista, että oletusversio päivitetään 3.8:sta 3.11:een.

Python 3.11 on jo nyt saatavilla palvelimillamme komennolla python3.11. Nykyinen komento python käynnistää taustalla python3.8:n. Sovellukset voidaan siis siirtää uudempaan versioon jo nyt. Muutoksen myötä komento python alkaa käynnistää python3.11:n. Tämän vuoden loppukesällä vanhempi versio 3.8 poistetaan järjestelmästä.

Jotta sovellus toimisi edelleen, kannattaa palvelinpäivityksen jälkeen päivittää virtualenv kääntymällä suoraan uudemman python3.11:n puoleen.

Uusi virtualenv, jonka versio on 3.11, voidaan luoda komennolla virtualenv ~/tiedosto/polku --python=python3.11, jossa ~/tiedosto/polku tulee vaihtaa haluttuun sijaintiin.

Suositut postaukset

WooCommerce 9.0 pian tulossa

Ingmar Aasoja
Kun puhumme verkkosivustoista, ajattelemme usein WordPressiä. Kun lisäämme keskusteluun verkkokaupan, puhumme yleensä WooCommercesta. WooCommerce on...

Zonen asiakastuki – näin tiimimme vastaa haasteisiin ja ylläpitää laatua?

Zone Blogi
Zonen asiakastukitiimissä toimii nykyään 13 henkilöä, jotka tukevat asiakkaitamme viroksi, englanniksi, venäjäksi ja suomeksi. Asiakastuki ylläpitää...

WordPress 6.6 ei enää tue PHP:n versioita 7.0 ja 7.1

Zone Blogi
Hiljattain julkaistiin WordPress-versio 6.5, ja on jo aika alkaa miettiä ja valmistautua seuraavaan versioon 6.6. Viimeisimpien tietojen mukaan tästä...

WordPress 6.5 ”Regina” on täynnä inspiraatiota

Zone Blogi
Huhtikuun alussa julkaistiin WordPressin uusin versio 6.5 nimeltä Regina, joka sisältää useita merkittäviä päivityksiä, erityisesti Gutenberg-sivunrakentajan...